Skip to main content
GET
Get Workspace Registry

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

registry_id
string<uuid>
required
workspace
string
required

Slug of the workspace the request acts in

Maximum string length: 120
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$

Response

Successful Response

created_at
string<date-time>
required
description
string | null
required
id
string<uuid>
required
is_active
boolean
required
item_count
integer
required
last_sync_error
string | null
required
last_synced_at
string<date-time> | null
required
mode
enum<string>
required
Available options:
mirror,
upstream
name
string
required
recommendation_priority
integer
required
registry_type
string
required
scope
enum<string>
required
Available options:
platform,
workspace
source_type
string
required
source_url
string
required
sync_mode
string
required
trust
enum<string>
required
Available options:
official,
verified,
community,
private
updated_at
string<date-time>
required
credentials_secret_id
string<uuid> | null
source_path
string | null
source_ref
string | null
workspace_id
string | null